#include "JLabelView.h"

void JLabelView::Draw(BRect updateRect)
{

	rgb_color	h_color;
	rgb_color	s_color;
	rgb_color	f_color;
	
	f_color = ViewColor();
	
/*
	h_color = f_color;
	h_color.red += 25;
	h_color.green += 25;
	h_color.blue += 25;
	
	s_color = f_color;
	s_color.red -= 25;
	s_color.green -= 25;
	s_color.blue -= 25;
*/
	
	BRect r;
	
	r = Bounds();

	if (Window())
	{
		Window()->Lock();
		
		SetHighColor(f_color);
		r.InsetBy(1, 1);
		FillRect(r);
		r.InsetBy(-1, -1);
		
		SetHighColor(255, 255, 255);
		MovePenTo(r.left, r.bottom);
		StrokeLine(BPoint(r.left, r.top));
		StrokeLine(BPoint(r.right, r.top));
		
		SetHighColor(60, 60, 60);
		MovePenTo(r.left, r.bottom);
		StrokeLine(BPoint(r.right, r.bottom));
		StrokeLine(BPoint(r.right, r.top));

		r.InsetBy(1,1);
		
		if (m_pText)
		{
			SetHighColor(0, 0, 0);
			DrawString(m_pText, BPoint(r.left + 5, r.bottom - 3));
		}
		
		Window()->Unlock();
	}
}

void JLabelView::SetText(const char* t)
{
	if (m_pText)
	{
		delete [] m_pText;
		m_pText = NULL;
	}
	
	m_pText = new char[strlen(t) + 1];
	strcpy(m_pText, t);

	Invalidate();
}

void JLabelView::FrameResized(float width, float height)
{
	BRect r = Bounds();
	
	Draw(BRect(r.right - width, r.bottom - height, r.right, r.bottom));
}
